# {%= name %}
* {%= badge("travis") %}
* [![Dependency Status](https://david-dm.org/onokumus/Bootstrap-Admin-Template.svg?theme=shields.io)](https://david-dm.org/onokumus/Bootstrap-Admin-Template)
* [![devDependency Status](https://david-dm.org/onokumus/Bootstrap-Admin-Template/dev-status.svg?theme=shields.io)](https://david-dm.org/onokumus/Bootstrap-Admin-Template#info=devDependencies)
* {%= badge("grunt") %}

> {%= description %}

## TOC
  * [Download](#download)
  * [Building](#building)
  * [Demo](#demo)
  * [Release History](#release-history)
  * [Credits](#credits)
  * [Author](#author)
  * [License](#license)

## Download
 * Bootstrap 2.3.2 [v1.2](https://github.com/onokumus/Bootstrap-Admin-Template/archive/v1.2.zip)
ready for use

 * Bootstrap 3.3.0 [v{%= version %}](https://github.com/onokumus/Bootstrap-Admin-Template/archive/master.zip)
ready `dist` folder your use



## Building

#### {%= version %} Version
required [node.js](http://nodejs.org/) & [bower](http://bower.io/) & [grunt](http://gruntjs.com/getting-started)

```shell
    $ git clone https://github.com/onokumus/Bootstrap-Admin-Template.git yourfoldername
    $ cd yourfoldername
    $ npm install
    $ npm run build
    $ grunt serve
```

#### {%= version %} RTL Version
required [node.js](http://nodejs.org/) & [bower](http://bower.io/) & [grunt](http://gruntjs.com/getting-started)

```shell
    $ git clone https://github.com/onokumus/Bootstrap-Admin-Template.git yourfoldername
    $ cd yourfoldername
    $ npm install
    $ npm run buildrtl
    $ grunt serve
```

#### 1.2 Version
    $ git clone -b v1.2 https://github.com/onokumus/Bootstrap-Admin-Template.git yourfoldername
    $ cd yourfoldername
    $ git submodule init
    $ git submodule update
    $ open index.html

## Demo
 * [Demo v{%= version %}](http://demo.onokumus.com/metis/)
 * [RTL v{%= version %}](http://demo.onokumus.com/metis/rtl/)
 * [v1.2 `not development`](http://demo.onokumus.com/metis/v12)



## Credits
 * [node.js](http://nodejs.org/)
 * [bower](http://bower.io/)
 * [Grunt](http://gruntjs.com/)
 * [Assemble](http://assemble.io/)
 * [jQuery](http://jquery.com/)
 * [Bootstrap](http://getbootstrap.com/)
 * [LESS](http://lesscss.org/)
 * [Modernizr](http://modernizr.com/)
 * [Moment.js](http://momentjs.com/)
 * [SubtlePatterns](https://github.com/subtlepatterns/SubtlePatterns)
 * [FullCalendar](http://arshaw.com/fullcalendar/)
 * [Chosen](https://github.com/harvesthq/chosen)
 * [CKEditor](http://ckeditor.com/)
 * [Colorpicker for Bootstrap](http://www.eyecon.ro/bootstrap-colorpicker/)
 * [Data Tables](http://www.datatables.net)
 * [Datepicker for Bootstrap](http://www.eyecon.ro/bootstrap-datepicker)
 * [elFinder](http://elfinder.org)
 * [Input Limiter](http://rustyjeans.com/jquery-plugins/input-limiter)
 * [Jasny Bootstrap](http://jasny.github.com/bootstrap)
 * [jQuery Validation](http://jqueryvalidation.org/)
 * [jQuery Sparklines](http://omnipotent.net/jquery.sparkline)
 * [Animate](http://daneden.github.io/animate.css/)
 * [Autosize](http://www.jacklmoore.com/autosize)
 * [Countdown](http://keith-wood.name/countdown.html)
 * [Date range picker](https://github.com/dangrossman/bootstrap-daterangepicker)
 * [Flot](http://www.flotcharts.org)
 * [jQuery Form](http://jquery.malsup.com/form/)
 * [Form Wizard](http://thecodemine.org)
 * [Gritter](http://boedesign.com/blog/2009/07/11/growl-for-jquery-gritter/)
 * [Mouse Wheel](https://github.com/brandonaaron/jquery-mousewheel)
 * [PageDown-Bootstrap](https://github.com/kevinoconnor7/pagedown-bootstrap)
 * [Plupload](https://github.com/moxiecode/plupload)
 * [Bootstrap Switch](http://www.larentis.eu/switch/)
 * [tablesorter](http://tablesorter.com/)
 * [tagsinput](http://xoxco.com/projects/code/tagsinput/)
 * [Bootstrap Timepicker](http://jdewit.github.io/bootstrap-timepicker/)
 * [Touch Punch](http://touchpunch.furf.com/)
 * [Uniform](http://uniformjs.com/)
 * [Validation Engine](http://www.position-relative.net/)
 * [jquery.validVal](http://validval.frebsite.nl/)
 * [bootstrap3-wysihtml5-bower](https://github.com/Waxolunist/bootstrap3-wysihtml5-bower)
 * [screenfull.js](https://github.com/sindresorhus/screenfull.js)
 * [metisMenu](https://github.com/onokumus/metisMenu)

## Author
{%= include("authors", {
  authors: [
    {name: 'Osman Nuri Okumuş', username: 'onokumus'}
  ]
}) %}

## License
{%= copyright() %}
{%= license() %}

***

{%= include("footer") %}
